
AltHolicCommand = Turbine.ShellCommand();

------------------------------------------------------------------------------------------
-- commands
------------------------------------------------------------------------------------------
function AltHolicCommand:Execute( command, arguments )

-- Turn arguments to lower case characters --
	arguments = string.lower(arguments);

------------------------------------------------------------------------------------------
-- Help command--
------------------------------------------------------------------------------------------
	if ( arguments == "help" ) then
		commandsHelp();
------------------------------------------------------------------------------------------
-- show command--
------------------------------------------------------------------------------------------
	elseif ( arguments == "show" ) then
		AltHolicWindow:SetVisible(true);
		settings["isWindowVisible"]["isWindowVisible"] = true;
------------------------------------------------------------------------------------------
-- hide command--
------------------------------------------------------------------------------------------
	elseif ( arguments == "hide" ) then
		AltHolicWindow:SetVisible(false);
		settings["isWindowVisible"]["isWindowVisible"] = false;
------------------------------------------------------------------------------------------
-- esc command--
------------------------------------------------------------------------------------------
	elseif ( arguments == "esc" ) then
		if(settings["escEnable"]["escEnable"] == true) then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginEscDesable);
			settings["escEnable"]["escEnable"] = false;
		else
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginEscEnable);
			settings["escEnable"]["escEnable"] = true;
		end
------------------------------------------------------------------------------------------
-- clear command--
------------------------------------------------------------------------------------------
	elseif ( arguments == "clear" ) then
		Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginClearAll);
		ClearAll();

		if(settings["nameAccount"]["account1"]["nbrAlt"] == 0 or settings["nameAccount"]["account1"]["isVisible"] == false)then
			CreateMainWindow(350, 130);
			AltHolicWindow:SetVisible(true);
		else
			winHeight = (settings["nameAccount"]["account1"]["nbrAlt"] * 46) + 130;
			if(winHeight < 130)then
				winHeight = 200;
			end
			CreateMainWindow(350, winHeight);
			AltHolicWindow:SetVisible(true);
		end
	end
end

Turbine.Shell.AddCommand( "Alt;AltHolic", AltHolicCommand );