
function CreateLocalizationInfo()
	Strings = {};

	if Turbine.Engine.GetLanguage() == Turbine.Language.German then
		Strings.PluginName = "Meine Alts";
		Strings.PluginText = "Von Homeopatix";
		Strings.PluginEscEnable = "Escape-Taste aktiviert";
		Strings.PluginEscDesable = "Escape-Taste deaktiviert";
		Strings.PluginClearAll = "L\195\182schen Sie alle Verkn\195\188pfungen";
		------------------------------------------------------------------------------------------
		-- help --
		------------------------------------------------------------------------------------------
		Strings.PluginHelp1 = "\n\nListe der Befehle:\n";
		Strings.PluginHelp2 = "/Alt help - Schaufenster help.\n";
		Strings.PluginHelp3 = "/Alt show - Schaufenster.\n";
		Strings.PluginHelp4 = "/Alt hide - verstecke das Fenster.\n";
		Strings.PluginHelp5 = "/Alt esc - Aktivieren oder deaktivieren Sie die Escape-Taste.\n";
		Strings.PluginHelp6 = "/Alt clear - L\195\182schen Sie alle Verkn\195\188pfungen.\n";
		Strings.PluginCloseButton = "Fenster schlie\195\159en";

elseif Turbine.Engine.GetLanguage() == Turbine.Language.French then
		Strings.PluginName = "Mes Alts";
		Strings.PluginText = "Par Homeopatix";
		Strings.PluginEscEnable = "Touche Escape activ\195\169";
		Strings.PluginEscDesable = "Touche Escape desactiv\195\169";
		Strings.PluginClearAll = "Efface toutes les entr\195\169es";
		------------------------------------------------------------------------------------------
		-- help --
		------------------------------------------------------------------------------------------
		Strings.PluginHelp1 = "\n\nListe des commandes:\n";
		Strings.PluginHelp2 = "/Alt help - affiche la fen\195\168tre. d'aide\n";
		Strings.PluginHelp3 = "/Alt show - affiche la fen\195\168tre.\n";
		Strings.PluginHelp4 = "/Alt hide - cache la fen\195\168tre.\n";
		Strings.PluginHelp5 = "/Alt esc - Active ou d\195\169sactive la touche Escape.\n";
		Strings.PluginHelp6 = "/Alt clear - Efface toutes les entr\195\169es.\n";
		Strings.PluginCloseButton = "Fermer la fenetre";

elseif Turbine.Engine.GetLanguage() == Turbine.Language.English then
		Strings.PluginName = "My Alts";
		Strings.PluginText = "By Homeopatix";
		Strings.PluginEscEnable = "Escape key Activated";
		Strings.PluginEscDesable = "Escape key Desactivated";
		Strings.PluginClearAll = "Delete all entries";
		------------------------------------------------------------------------------------------
		-- help --
		------------------------------------------------------------------------------------------
		Strings.PluginHelp1 = "\n\nList of all commands:\n";
		Strings.PluginHelp2 = "/Alt help - Show the help window.\n";
		Strings.PluginHelp3 = "/Alt show - Show the window.\n";
		Strings.PluginHelp4 = "/Alt hide - Hide the window.\n";
		Strings.PluginHelp5 = "/Alt esc - Activate or deactivate the Escape key.\n";
		Strings.PluginHelp6 = "/Alt clear - Delete all entries.\n";
		Strings.PluginCloseButton = "Close window";
	end
end