------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
function CreateAddNewWindow()
	AltHolicAddnewWindow=Turbine.UI.Lotro.GoldWindow(); 
	AltHolicAddnewWindow:SetSize(300,150); 
	AltHolicAddnewWindow:SetText("Add new Account"); 
	AltHolicAddnewWindow.Message=Turbine.UI.Label(); 
	AltHolicAddnewWindow.Message:SetParent(AltHolicWindow); 
	AltHolicAddnewWindow.Message:SetSize(150,10); 
	AltHolicAddnewWindow.Message:SetPosition(AltHolicWindow:GetWidth()/2 - 75, AltHolicWindow:GetHeight() - 20); 
	AltHolicAddnewWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	AltHolicAddnewWindow.Message:SetText(Strings.PluginText); 
	AltHolicAddnewWindow:SetZOrder(1);
	AltHolicAddnewWindow:SetWantsKeyEvents(true);
	AltHolicAddnewWindow:SetVisible(false);

	AltHolicAddnewWindow:SetPosition(settings["windowPosition"]["xPos"] + 10, settings["windowPosition"]["yPos"] + 10);
	------------------------------------------------------------------------------------------
	-- center window
	------------------------------------------------------------------------------------------
	textBoxSlots = Turbine.UI.Lotro.TextBox();
	textBoxSlots:SetParent( AltHolicAddnewWindow );
	textBoxSlots:SetSize(200, 40); 
	textBoxSlots:SetPosition(50, 50);
	textBoxSlots:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	textBoxSlots:SetForeColor( Turbine.UI.Color( 0.7, 0.6, 0.2 ));
	textBoxSlots:SetBackColor( Turbine.UI.Color( .9, .5, .7, .5));	
	textBoxSlots:SetVisible(true);

	buttonValider = Turbine.UI.Lotro.GoldButton();
	buttonValider:SetParent( AltHolicAddnewWindow );
	buttonValider:SetPosition(AltHolicAddnewWindow:GetWidth()/2 - 100, AltHolicAddnewWindow:GetHeight() - 40);
	buttonValider:SetSize( 200, 20 );
	buttonValider:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	buttonValider:SetText( "Add New" );
	buttonValider:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	buttonValider:SetVisible(true);
	buttonValider:SetMouseVisible(true);

	ValidateChanges();
end

function ValidateChanges()
	buttonValider.MouseClick = function(sender, args)

	settings["nameAccount"]["account1"] = { 
			name = textBoxSlots:GetText(), 
			nbrAlt = 0;
			};

	AltHolicAddnewWindow:SetVisible(false);

	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local lvlplayer = player:GetLevel();
	local playerName = player:GetName();
	local playerAttr = player:GetAttributes();
	local classP = player:GetClass();
	local race = player:GetRace();
	local playerAlignement = player:GetAlignment();
	local vocation = 0;

	if(playerAlignement == 1)then
		vocation = playerAttr:GetVocation();
	end

	if(settings["nameAccount"]["account1"]["name"] ~= "")then
		settings["nameAccount"]["account1"]["nbrAlt"] = settings["nameAccount"]["account1"]["nbrAlt"] + 1;

		settings["nameAccount"]["account1"]["isVisible"] = true;

		for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
			if(settings["nameAlts"]["alts" .. i]["name"] == "")then
				settings["nameAlts"]["alts" .. i]["name"] = playerName;
				settings["nameAlts"]["alts" .. i]["cla"] = classP;
				settings["nameAlts"]["alts" .. i]["lvl"] = lvlplayer;
				settings["nameAlts"]["alts" .. i]["voc"] = vocation;
				settings["nameAlts"]["alts" .. i]["rac"] = race;
				settings["nameAlts"]["alts" .. i]["align"] = playerAlignement;
			end
		end
	end

	AltHolicAddnewWindow:SetVisible(false);
	
	UpdateMainWindow();

	SaveCharacterDatas(playerName);
	AltHolicWindow:SetVisible(true);
	end
end