------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
function CreateUIShowEquip(namePlayerToshow)

	UIShowEquip=Turbine.UI.Lotro.GoldWindow(); 
	UIShowEquip:SetSize(600,520); 
	UIShowEquip:SetText("Equipement de " .. tostring(namePlayerToshow)); 
	UIShowEquip:SetPosition((Turbine.UI.Display:GetWidth()-UIShowEquip:GetWidth())/2,(Turbine.UI.Display:GetHeight()-UIShowEquip:GetHeight())/2); 

	UIShowEquip.Message=Turbine.UI.Label(); 
	UIShowEquip.Message:SetParent(UIShowEquip); 
	UIShowEquip.Message:SetSize(150,10); 
	UIShowEquip.Message:SetPosition(UIShowEquip:GetWidth()/2 - 75, UIShowEquip:GetHeight() - 20); 
	UIShowEquip.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	UIShowEquip.Message:SetText("par Homeopatix"); 
	UIShowEquip:SetZOrder(10);
	UIShowEquip:SetWantsKeyEvents(true);
	UIShowEquip:SetVisible(false);

	DurabilitySlots = { 
		0x41007eed, -- tete
		0x41007ef0, -- chest
		0x41007ef1, --legs
		0x41007ef2, --gant
		0x41007ef5, --shoes
		0x41007eee,-- shoulder
		0x41007ee9, -- back
		0x41007ef9, --brcelet gauche
		0x41007ef8, -- bracelet droite
		0x41007eef, -- collier
		0x41007ef4,-- bague gauche
		0x41007ef3,-- bague droite
		0x41007ef6, --oreille droite
		0x41007ef7, -- oreille gauche
		0x41007efa, --pocket
		0x41007eea, --weapon
		0x41007eeb,--shield
		0x41007eec,--distance
		0x41007efb,--outils 
		0x410e8680 -- class
	};

	Button = { };
	altsDatas = { }; 


	local posy = 40 ;
	local posx = 300;
	for i=1, 20 do
		Button[i] = Turbine.UI.Label(); 
		Button[i]:SetParent( UIShowEquip );
		Button[i]:SetPosition(posx, posy);
		Button[i]:SetSize( 42, 42 );
		Button[i]:SetVisible(true);
		Button[i]:SetBackground(DurabilitySlots[i]);
		Button[i]:SetZOrder(-1);

		posy = posy + 42;
		if(i == 7)then
			posx = 20;
			posy = 40;
		end
		if(i == 17)then
			posx = 300;
			posy = 294 + 40;
		end
	end


	---- cash displayer
	--- cash of the player
	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
		if(settings["nameAlts"]["alts" .. i]["name"] == namePlayerToshow)then
			cash = settings["nameAlts"]["alts" .. i]["cash"];
		end
	end
	gold = math.floor( cash / 100000);
	silver = math.floor( cash / 100) - gold * 1000;
	copper = cash - gold * 100000 - silver * 100;

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( UIShowEquip );
	LabelGold:SetPosition(UIShowEquip:GetWidth()/2 - 100, UIShowEquip:GetHeight() - 50);
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7b);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	UIShowEquip.Message=Turbine.UI.Label(); 
	UIShowEquip.Message:SetParent(UIShowEquip); 
	UIShowEquip.Message:SetSize(120, 30); 
	UIShowEquip.Message:SetPosition(UIShowEquip:GetWidth()/2 - 70, UIShowEquip:GetHeight() - 58); 
	UIShowEquip.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
	UIShowEquip.Message:SetFont(Turbine.UI.Lotro.Font.Verdana18);
	UIShowEquip.Message:SetText(gold); 
	UIShowEquip.Message:SetForeColor(Turbine.UI.Color.Gold);

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( UIShowEquip );
	LabelGold:SetPosition(UIShowEquip:GetWidth()/2 - 23, UIShowEquip:GetHeight() - 50);
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7c);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	UIShowEquip.Message=Turbine.UI.Label(); 
	UIShowEquip.Message:SetParent(UIShowEquip); 
	UIShowEquip.Message:SetSize(120, 30); 
	UIShowEquip.Message:SetPosition(UIShowEquip:GetWidth()/2 + 7, UIShowEquip:GetHeight() - 58); 
	UIShowEquip.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
	UIShowEquip.Message:SetFont(Turbine.UI.Lotro.Font.Verdana18);
	UIShowEquip.Message:SetText(silver);
	UIShowEquip.Message:SetForeColor(Turbine.UI.Color.Silver);

	LabelGold = Turbine.UI.Label(); 
	LabelGold:SetParent( UIShowEquip );
	LabelGold:SetPosition(UIShowEquip:GetWidth()/2 + 54, UIShowEquip:GetHeight() - 50);
	LabelGold:SetSize( 27, 21 );
	LabelGold:SetVisible(true);
	LabelGold:SetBackground(0x41007e7d);
	LabelGold:SetZOrder(-1);
	LabelGold:SetBlendMode( Turbine.UI.BlendMode.Overlay );

	UIShowEquip.Message=Turbine.UI.Label(); 
	UIShowEquip.Message:SetParent(UIShowEquip); 
	UIShowEquip.Message:SetSize(120, 30); 
	UIShowEquip.Message:SetPosition(UIShowEquip:GetWidth()/2 + 84, UIShowEquip:GetHeight() - 58); 
	UIShowEquip.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
	UIShowEquip.Message:SetFont(Turbine.UI.Lotro.Font.Verdana18);
	UIShowEquip.Message:SetText(copper);
	UIShowEquip.Message:SetForeColor(Turbine.UI.Color( 0.8, 0.4, 0.2));

	--local twmoneyi = { 0x41007e7b, 0x41007e7c, 0x41007e7d }; --gold, silver, copper icon 27x21
	--- end of cash displayer

	local posy = 42 ;
	local posx = 300;
	local playerLvl = 0;

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
		if(settings["nameAlts"]["alts" .. i]["name"] == namePlayerToshow)then
			altsDatas[1] = settings["nameAlts"]["alts" .. i]["equipment"]["back"];
			altsDatas[2] = settings["nameAlts"]["alts" .. i]["equipment"]["Boots"];
			altsDatas[3] = settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"];
			altsDatas[4] = settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"];
			altsDatas[5] = settings["nameAlts"]["alts" .. i]["equipment"]["Chest"];
			altsDatas[6] = settings["nameAlts"]["alts" .. i]["equipment"]["Class"];
			altsDatas[7] = settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"];
			altsDatas[8] = settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"];
			altsDatas[9] = settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"];
			altsDatas[10] = settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"];
			altsDatas[11] = settings["nameAlts"]["alts" .. i]["equipment"]["Head"];
			altsDatas[12] = settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"];
			altsDatas[13] = settings["nameAlts"]["alts" .. i]["equipment"]["Legs"];
			altsDatas[14] = settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"];
			altsDatas[15] = settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"];
			altsDatas[16] = settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"];
			altsDatas[17] = settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"];
			altsDatas[18] = settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"];
			altsDatas[19] = settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"];
			altsDatas[20] = settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"];

			playerLvl = settings["nameAlts"]["alts" .. i]["lvl"];
		end
	end

	for i=1, 20 do
		if(altsDatas[i] ~= nil and altsDatas[i].N ~= "")then

			itemTmp = Turbine.UI.Control();
			Button[i].itemTmp = itemTmp;
			itemTmp:SetParent( Button[i] );
			itemTmp:SetSize( 32, 32 );
			itemTmp:SetPosition( 5, 5 );
			itemTmp:SetZOrder(Button[i]:GetZOrder() + 1);
			itemTmp:SetBackground(altsDatas[i].Q);
			itemTmp:SetBlendMode( Turbine.UI.BlendMode.Overlay );
			itemTmp:SetVisible( true );
			itemTmp:SetMouseVisible( true );


			itemTmp1 = Turbine.UI.Control();
			itemTmp1:SetParent( Button[i] );
			itemTmp1:SetSize( 32, 32 );
			itemTmp1:SetPosition( 5, 5 );
			itemTmp1:SetZOrder(Button[i]:GetZOrder() + 1);
			itemTmp1:SetBackground(altsDatas[i].B);
			itemTmp1:SetBlendMode( Turbine.UI.BlendMode.Overlay );
			itemTmp1:SetVisible( true );

			itemTmp2 = Turbine.UI.Control();
			itemTmp2:SetParent( Button[i] );
			itemTmp2:SetSize( 32, 32 );
			itemTmp2:SetPosition( 5, 5 );
			itemTmp2:SetZOrder(Button[i]:GetZOrder() + 1);

			-- quality 0 = common
			-- quality 1 = Incomparable
			-- quality 2 = lengendary
			-- quality 3 = rare
			-- quality 4 = Uncommon
			-- quality 5 = Undefined
			-- quality 2 = purple

				-- legendaire background
				-- green = 0x410EA2A0
				-- yellow = 0x410EA2A1
				-- orange = 0x410EA2A2
				-- purple = 0x410EA2A3
				-- blue = 0x410EA255
				-- red = 0x410EA256
				-- purple flashy = 0x41112361

			-- fond grey = 0x41000001
			-- fond green = 0x41000002
			-- fond purple = 0x41000003
			-- fond blue = 0x41000004
			-- fond yellow = 0x41000005
			-- fond brown = 0x41000E44
			-- fond dark brown = 0x410030C4
			-- fond light blue = 0x41001430
			-- fond dust brown = 0x410030E2
			-- fond copper = 0x41019972
			-- fond wood = 0x410DCF2F

			-- fond grey for special object = 0x410DD1B3 with nice norder

			-- fond specail object venant du cadeau = 0x41105CB5


			-- fond green big corner on the border = 0x4101DBB0

			-- border to check for the lvl  = 0x410F5DD5, 0x410F5DD6, 0x410F5DD7
			-- for levl to check = 0x41110DB6, 0x41110DB7, 0x41110DB8
			-- lelvel = 0x4111219B
			--  0x41007FAF; Size: 63  63 for lvl very nice

			if(altsDatas[i].U == 0)then
				if(playerLvl < 50)then -- define normal background color from quality
					if(altsDatas[i].QA == 0)then
						itemTmp2:SetBackground(0x41000001);
					end
					if(altsDatas[i].QA == 1)then
						itemTmp2:SetBackground(0x41000005);
					end
					if(altsDatas[i].QA == 2)then
						itemTmp2:SetBackground(0x41000003);
					end
					if(altsDatas[i].QA == 3)then
						itemTmp2:SetBackground(0x41000004);
					end
					if(altsDatas[i].QA == 4)then
						itemTmp2:SetBackground(0x41000002);
					end
					if(altsDatas[i].QA == 5)then
						itemTmp2:SetBackground(0x41000001);
					end
				else -- define legendary border
					if(altsDatas[i].QA == 0)then
						itemTmp2:SetBackground(0x410EA2A0);
					end
					if(altsDatas[i].QA == 1)then
						itemTmp2:SetBackground(0x410EA2A2);
					end
					if(altsDatas[i].QA == 2)then
						itemTmp2:SetBackground(0x410EA2A1);
					end
					if(altsDatas[i].QA == 3)then
						itemTmp2:SetBackground(0x410EA255);
					end
					if(altsDatas[i].QA == 4)then
						itemTmp2:SetBackground(0x410EA2A1);
					end
					if(altsDatas[i].QA == 5)then
						itemTmp2:SetBackground(0x41000001);
					end
				end
			else
				itemTmp2:SetBackground(altsDatas[i].U);
			end
			itemTmp2:SetBlendMode( Turbine.UI.BlendMode.Overlay );
			itemTmp2:SetVisible( true );

			itemTmp3 = Turbine.UI.Control();
			itemTmp3:SetParent( Button[i] );
			itemTmp3:SetSize( 32, 32 );
			itemTmp3:SetPosition( 5, 5 );
			itemTmp3:SetZOrder(Button[i]:GetZOrder() + 1);
			itemTmp3:SetBackground(altsDatas[i].S);
			itemTmp3:SetBlendMode( Turbine.UI.BlendMode.Overlay );
			itemTmp3:SetVisible( true );

			itemTmp4 = Turbine.UI.Control();
			itemTmp4:SetParent( Button[i] );
			itemTmp4:SetSize( 32, 32 );
			itemTmp4:SetPosition( 5, 5 );
			itemTmp4:SetZOrder(Button[i]:GetZOrder() + 1);
			itemTmp4:SetBackground(altsDatas[i].I);
			itemTmp4:SetBlendMode( Turbine.UI.BlendMode.Overlay );
			itemTmp4:SetVisible( true );

			UIShowEquip.Message=Turbine.UI.Label(); 
			UIShowEquip.Message:SetParent(UIShowEquip); 
			UIShowEquip.Message:SetSize(230, 38); 
			UIShowEquip.Message:SetPosition(posx + 50, posy); 
			UIShowEquip.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
			UIShowEquip.Message:SetText(altsDatas[i].N); 
			UIShowEquip.Message:SetBackColor(Turbine.UI.Color( 0.9, 0.3, 0.3, 0.3 ));
			UIShowEquip.Message:SetMarkupEnabled(true);
		else
			UIShowEquip.Message=Turbine.UI.Label(); 
			UIShowEquip.Message:SetParent(UIShowEquip); 
			UIShowEquip.Message:SetSize(230, 38); 
			UIShowEquip.Message:SetPosition(posx + 50, posy); 
			UIShowEquip.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
			UIShowEquip.Message:SetText("Equipment absent"); 
			UIShowEquip.Message:SetForeColor(Turbine.UI.Color.Red);
		end

		posy = posy + 42;
		if(i == 7)then
			posx = 20;
			posy = 42;
		end
		if(i == 17)then
			posx = 300;
			posy = 294 + 42;
		end
	end

end