-- Activate Plugin --
Plugins[pluginName].Load = function()
	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local lvlplayer = player:GetLevel();
	local playerName = player:GetName();
	local playerAttr = player:GetAttributes();
	local playerAlignement = player:GetAlignment();
	local vocation = 0;

	if(playerAlignement == 1)then
		vocation = playerAttr:GetVocation();
	end

	local classP = player:GetClass();
	local race = player:GetRace();

	local doesNotExist = true;

	if(settings["nameAccount"]["account1"]["name"] ~= "")then
		settings["nameAccount"]["account1"]["isVisible"] = false;
		for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
			if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
				doesNotExist = false;
			end
		end
		
		if(doesNotExist == true)then
			settings["nameAccount"]["account1"]["nbrAlt"] = settings["nameAccount"]["account1"]["nbrAlt"] + 1;

			for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
				if(settings["nameAlts"]["alts" .. i]["name"] == "")then
					settings["nameAlts"]["alts" .. i]["name"] = playerName;
					settings["nameAlts"]["alts" .. i]["cla"] = classP;
					settings["nameAlts"]["alts" .. i]["lvl"] = lvlplayer;
					settings["nameAlts"]["alts" .. i]["voc"] = vocation;
					settings["nameAlts"]["alts" .. i]["rac"] = race;
					settings["nameAlts"]["alts" .. i]["align"] = playerAlignement;
				end
			end
		end
	end

	settings["sessionCash"]["cashStart"] = playerAttr:GetMoney();

	notification("Version " .. Plugins[pluginName]:GetVersion() .. " by Homeo");
end

-- Unload Plugin --
Plugins[pluginName].Unload = function()	
	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local lvlplayer = player:GetLevel();
	local playerName = player:GetName();
	local playerAttr = player:GetAttributes();
	local playerAlignement = player:GetAlignment();
	local vocation = 0;

	if(playerAlignement == 1)then
		vocation = playerAttr:GetVocation();
	end

	local classP = player:GetClass();
	local race = player:GetRace();

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
		if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
			settings["nameAlts"]["alts" .. i]["name"] = playerName;
			settings["nameAlts"]["alts" .. i]["cla"] = classP;
			settings["nameAlts"]["alts" .. i]["lvl"] = lvlplayer;
			settings["nameAlts"]["alts" .. i]["voc"] = vocation;
			settings["nameAlts"]["alts" .. i]["rac"] = race;
			settings["nameAlts"]["alts" .. i]["align"] = playerAlignement;
		end
	end

	settings["sessionCash"]["cashStart"] = 0;

	SaveSettings();
	SaveCharacterDatas(playerName);
	notification("Unactivated");
end