------------------------------------------------------------------------------------------
-- create or load the settings
------------------------------------------------------------------------------------------
function LoadSettings()
	local _settings = PatchDataLoad(Turbine.DataScope.Account, "AltHolic_Settings", settings);
    if (_settings ~= nil) then 
		settings = _settings; 
	end
end
------------------------------------------------------------------------------------------
-- create the save settings
------------------------------------------------------------------------------------------
function SaveSettings()
	settings["windowPosition"]["xPos"] = tostring(AltHolicWindow:GetLeft());
    settings["windowPosition"]["yPos"] = tostring(AltHolicWindow:GetTop());
    settings["IconPosition"]["xPosIcon"] = tostring(MainMinimizedIcon:GetLeft());
   	settings["IconPosition"]["yPosIcon"] = tostring(MainMinimizedIcon:GetTop());
	settings["isMinimizeEnabled"]["isMinimizeEnabled"] = settings["isMinimizeEnabled"]["isMinimizeEnabled"];
	settings["isWindowVisible"]["isWindowVisible"] = settings["isWindowVisible"]["isWindowVisible"];
	settings["escEnable"]["escEnable"] = settings["escEnable"]["escEnable"];
   -- save the settings
	PatchDataSave( Turbine.DataScope.Account, "AltHolic_Settings", settings);
end

function SaveCharacterDatas(playerName)
	settings["nameAccount"]["account1"] = settings["nameAccount"]["account1"];

	if(settings["nameAccount"]["account1"]["name"] ~= "")then
		for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
			if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
				settings["nameAlts"]["alts" .. i] = settings["nameAlts"]["alts" .. i];
				SaveEquipment();
				SaveBag();
			end
		end
	end

	settings["sessionCash"]["cashStart"] = settings["sessionCash"]["cashStart"];
   -- save the settings
   --Turbine.Shell.WriteLine("Saving character datas for : " .. playerName);
	PatchDataSave( Turbine.DataScope.Account, "AltHolic_Settings", settings);
end